# CNCF Serverless WG

The original intent of the CNCF Serverless Working Group was to explore the
intersection of cloud native and serverless technology. As a result of that
work the following artifacts were produced:

* [A Whitepaper](#whitepaper)
* [Landscape](#landscape)

Since then the CNCF TOC agreed to have the working group continue its work
and develop the
[CloudEvents](https://github.com/cloudevents/spec/blob/master/spec.md)
specification. That work is being done in a separate github repo:
[CloudEvents](https://github.com/cloudevents/spec).

Additional work streams can be suggested, see the proposal directory's
[README](proposals/README.md) for more information.

The TOC sponsor of this WG is Ken Owens.

### Non-Goals
Identify one serverless project to rule them all.

## Communications

We have google group for e-mail communications:
[cncf-wg-serverless](https://groups.google.com/forum/#!forum/cncf-wg-serverless)

And a #serverless Slack channel:
[https://slack.cncf.io/](https://slack.cncf.io/)

## Landscape

![Serverless Landscape](https://github.com/cncf/landscape/blob/master/serverless/CloudNativeLandscape_Serverless_latest.png)

You can open up suggestions and issues with the landscape here: https://github.com/cncf/landscape.

## Interactive Landscape

Please see the new interactive [version](https://landscape.cncf.io/grouping=landscape&landscape=serverless) of the landscape. The easy-to-remember URL is [s.cncf.io](https://s.cncf.io).

## Whitepaper

The current version of the whitepaper can be found 
[here](https://github.com/cncf/wg-serverless/tree/master/whitepaper).

## CloudEvents

Proposed [specification](https://github.com/cloudevents/spec)

## Meeting Time

See the [CNCF public events calendar](https://www.cncf.io/community/calendar/). The Serverless Working Group meets every Thursday at 9AM PT (USA Pacific):

Join from PC, Mac, Linux, iOS or Android: https://zoom.us/my/cncfserverlesswg

Or iPhone one-tap :

    US: +16465588656,,3361029682#  or +16699006833,,3361029682# 

Or Telephone:

    Dial: 
        US: +1 646 558 8656 (US Toll) or +1 669 900 6833 (US Toll)
        or +1 855 880 1246 (Toll Free) or +1 877 369 0926 (Toll Free)

Meeting ID: 336 102 9682

International numbers available: https://zoom.us/zoomconference?m=QpOqQYfTzY_Gbj9_8jPtsplp1pnVUKDr

NOTE: Please use \*6 to mute/un-mute your phone during the call.

World Time Zone Converter:
http://www.thetimezoneconverter.com/?t=9:00%20am&tz=San%20Francisco&

## In Person Meetings

None planned at this time.

## Meeting Minutes

The minutes from our calls are available
[here](https://docs.google.com/document/d/1OVF68rpuPK5shIHILK9JOqlZBbfe91RNzQ7u_P7YCDE/edit#).

Recording from our calls are available
[here](https://www.youtube.com/playlist?list=PLj6h78yzYM2Ph7YoBIgsZNW_RGJvNlFOt).

Some of the presentations made during the calls can be found
[here](presentations).
